Bug 590366 - ERROR with rpm_check_debug vs depsolve:
ERROR with rpm_check_debug vs depsolve:
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 03:26 EDT by Yanko Kaneti
Modified: 2014-01-21 18:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum -d 9 log (7.05 KB, text/plain)
2010-05-09 03:26 EDT, Yanko Kaneti
no flags Details

  None (edit)
Description Yanko Kaneti 2010-05-09 03:26:37 EDT
Created attachment 412601 [details]
yum -d 9 log

Description of problem:
Attached -v -d 9   log of attempted update.

Version-Release number of selected component (if applicable):
yum-3.2.27-11.fc14
Comment 1 James Antill 2010-05-10 09:48:40 EDT
Can you run:

yum check


...my guess is you'll find pre-existing problems in the rpmdb, that you need to fix.
Comment 2 Yanko Kaneti 2010-05-10 10:23:53 EDT
The only thing yum check says is this 

# yum check
Loaded plugins: auto-update-debuginfo, changelog, refresh-packagekit
check all

rpm -Va --nofiles --nodigest
also doesn't say anything
Comment 3 James Antill 2010-05-10 10:40:25 EDT
Ok, I don't suppose you could apply:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=1be67b3fa5a15277c94d42c48569edb6b094cb29

...and see if that fixes it for you. If it is that, you only need the very last line addition (the other are just comments). Or a work around is to do:

yum upgrade evolution\*
Comment 4 Yanko Kaneti 2010-05-10 10:58:19 EDT
Yep, with the patch applied "yum update evolution" correctly informs me that there are dependency problems with the update at the depsolve phase, rather than later at the rpm_check_debug phase.  

upgrade evolution*   also has has the correct depsolve outcome.

Cheers

(There are dependency problems with the update for the usual rawhide reasons, nothing yum related)
Comment 5 Bug Zapper 2010-07-30 07:35:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2012-08-16 16:35:29 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.